Owczarzy08MixedNaMgCorrection
Date: 2014-08-08

melting.ionCorrection.mixedNaMgCorrections

## Class Owczarzy08MixedNaMgCorrection

- java.lang.Object
- - melting.ionCorrection.magnesiumCorrections.Owczarzy08MagnesiumCorrection
  - - melting.ionCorrection.mixedNaMgCorrections.Owczarzy08MixedNaMgCorrection

- All Implemented Interfaces:
    CorrectionMethod, NamedMethod

      public class Owczarzy08MixedNaMgCorrection
      extends Owczarzy08MagnesiumCorrection
      implements NamedMethod

  This class represents the mixed (Na,Mg) correction model owcmix08. It extends Owczarzy08MagnesiumCorrection. Richard Owczarzy, Bernardo G Moreira, Yong You, Mark A Behlke, Joseph A walder, "Predicting stability of DNA duplexes in solutions containing magnesium and monovalent cations", 2008, Biochemistry, 47, 5336-5353.

- - ### Field Summary

    - ### Fields inherited from class melting.ionCorrection.magnesiumCorrections.Owczarzy08MagnesiumCorrection

      `a, b, c, d, e, f, g, temperatureCorrection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Owczarzy08MixedNaMgCorrection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `correctMeltingResults(Environment environment)` This method is called to correct the computed melting temperature.
    `protected void` | `displayVariable()` logs the a, d and g variables.
    `java.lang.String` | `getName()` Gets the full name of the method.

    - ### Methods inherited from class melting.ionCorrection.magnesiumCorrections.Owczarzy08MagnesiumCorrection

      `correctTemperature, isApplicable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Owczarzy08MixedNaMgCorrection

          public Owczarzy08MixedNaMgCorrection()

  - ### Method Detail

    - #### correctMeltingResults

          public ThermoResult correctMeltingResults(Environment environment)

      Description copied from interface: `CorrectionMethod`
      This method is called to correct the computed melting temperature.
      Specified by:
        `correctMeltingResults` in interface `CorrectionMethod`
      Overrides:
        `correctMeltingResults` in class `Owczarzy08MagnesiumCorrection`
      Returns:
        ThermoResult which contains the corrected results (enthalpy, entropy and melting temperature).

    - #### displayVariable

          protected void displayVariable()

      Description copied from class: `Owczarzy08MagnesiumCorrection`
      logs the a, d and g variables.
      Overrides:
        `displayVariable` in class `Owczarzy08MagnesiumCorrection`

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Overrides:
        `getName` in class `Owczarzy08MagnesiumCorrection`
      Returns:
        The full name of the method.